"""Command is run and output is analyzed"""

from BasicRunner import BasicRunner
from AnalyzedCommon import AnalyzedCommon

from PyFoam.LogAnalysis.FoamLogAnalyzer import FoamLogAnalyzer

class AnalyzedRunner(AnalyzedCommon,BasicRunner):
    """The output of a command is analyzed while being run

    Side effects (files written etc) depend on the analyzer"""
    
    def __init__(self,analyzer,argv=None,silent=False,logname="PyFoamSolve"):
        """ analyzer - the analyzer for the output
        argv, silent, logname - see BasicRunner"""
        BasicRunner.__init__(self,argv,silent,logname)
        AnalyzedCommon.__init__(self,logname,analyzer)
