"""Getting Information about the Foam-Installation (like the installation directory)"""

from os import environ,path

def getPathFromEnviron(name):
    """Gets a path from an environment variable
    @return: the path
    @rtype: string
    @param name: the name of the environment variable"""

    tmp=""
    if environ.has_key(name):
        tmp=path.normpath(environ[name])

    return tmp

def foamTutorials():
    """@return: directory in which the tutorials reside"""

    return getPathFromEnviron("FOAM_TUTORIALS")

def foamVersion():
    """@return: tuple that represents the Foam-version as found
    in $WM_PROJECT_VERSION"""
    
    if not environ.has_key("WM_PROJECT_VERSION"):
        return ()
    else:
        vStr=environ["WM_PROJECT_VERSION"]
        res=[]

        for el in vStr.split("."):
            for e in el.split("-"):
                try:
                    res.append(int(e))
                except:
                    res.append(e)
                
        return tuple(res)
    
def foamVersionNumber():
    """@return: tuple that represents the Foam-Version-Number (without
    strings"""

    ver=foamVersion()

    nr=[]
    i=0

    for e in ver:
        if type(e)==int:
            nr.append(e)
        else:
            break
        
    return tuple(nr)
    
